---
title: "ProductsUp-Connect"
url: "https://developer.migros.ch/apis/products-up-connect-1/versions/9e181c5c-a4c8-462d-9c88-b065e87e65c5"
---

# ProductsUp-Connect

OpenAPI specification document.

```json
{"components":{"schemas":{"EnhancedDiscount":{"description":"EnhancedDiscount is a discount with additional Product and BoSS information.","properties":{"additionalDescriptionDe":{"description":"AdditionalDescriptionDE holds additional information about the discount in german","example":"(ohne Mehrfach- und Sonderpackungen)","type":"string"},"additionalDescriptionFr":{"description":"AdditionalDescriptionFR holds additional information about the discount in french","example":"(excepté les emballages multiples et spéciaux)","type":"string"},"additionalDescriptionIt":{"description":"AdditionalDescriptionIT holds additional information about the discount in italian","example":"(confezioni multiple e speciali escluse)","type":"string"},"advertisementTypeId":{"description":"AdvertisementTypeID describes how the discount should be visualized","example":"2","type":"string"},"amount":{"description":"Amount is the relative reduction amount to the price (e.g. 20%)","example":"20%","type":"string"},"bossWorldName":{"description":"BoSSWorldName holds the BoSS-World name of the discounted product","example":"FOOD","type":"string"},"brandNameDe":{"description":"BrandNameDE holds the brand-name of the discounted product in german","example":"I am","type":"string"},"brandNameFr":{"description":"BrandNameFR holds the brand-name of the discounted product in french","example":"I am","type":"string"},"brandNameIt":{"description":"BrandNameIT holds the brand-name of the discounted product in italian","example":"I am","type":"string"},"descriptionDe":{"description":"DescriptionDE is a short text about the Discount in german","example":"I am-, Kétec-, Schwarzkopf- und Syoss-Colorationen-Sortiment","type":"string"},"descriptionFr":{"description":"DescriptionFR is a short text about the Discount in french","example":"Tout l’assortiment de colorations I am, Kétec, Schwarzkopf et Syoss","type":"string"},"descriptionIt":{"description":"DescriptionIT is a short text about the Discount in italian","example":"Tutte le colorazioni per capelli I am, Kétec, Schwarzkopf e Syoss","type":"string"},"discountConditionDe":{"description":"DiscountConditionDE is the condition in which the discount applies in german","example":"ab 2 Stück","type":"string"},"discountConditionFr":{"description":"DiscountConditionFR is the condition in which the discount applies in french","example":"dès 2 pièces","type":"string"},"discountConditionIt":{"description":"DiscountConditionIT is the condition in which the discount applies in italian","example":"da 2 pezzi","type":"string"},"discountImage":{"description":"DiscountImage is the main image referring to the Discount in JPG format","example":"https://image.migros.ch/d/{stack}/o-af-1-t.clr-fff/42d7a4ffcd9a9a33b538c4941e78e40f469ca1cb.jpg","type":"string"},"discountLinkDe":{"description":"DiscountLinkDE is the link to the german discount on Migros.ch","example":"https://www.migros.ch/de/offers/instore/2380302?context=instore","type":"string"},"discountLinkFr":{"description":"DiscountLink is the link to the french discount on Migros.ch","example":"https://www.migros.ch/fr/offers/instore/2380302?context=instore","type":"string"},"discountLinkIt":{"description":"DiscountLink is the link to the italian discount on Migros.ch","example":"https://www.migros.ch/it/offers/instore/2380302?context=instore","type":"string"},"gtin":{"description":"Gtin holds the Main-GTIN of the discounted product","example":"4008082355724","type":"string"},"hintDe":{"description":"HintDE is an example of a reduction in text form in german","type":"string"},"hintFr":{"description":"HintFR is an example of a reduction in text form in french","type":"string"},"hintIt":{"description":"HintIT is an example of a reduction in text form in italian","type":"string"},"id":{"description":"ID is the discountID","example":"2380302","type":"string"},"isVitaminFranken":{"description":"IsVitaminFranken is true if the discount is a vitamin franken discount (AdvertisementTypeID=4)","example":"2","type":"string"},"originalPrice":{"description":"OriginalPrice is the non-discounted price","example":2.5,"type":"number"},"package":{"description":"Package holds the package amount of the discounted product","example":"100g","type":"string"},"price":{"description":"Price is the discounted price","example":2.25,"type":"number"},"reductionAmount":{"description":"ReductionAmount is the amount of money that is reduced","example":0.5,"type":"number"},"reductionTypeId":{"description":"ReductionTypeID tells us whether it's a 01=relativ, 02=absolut, ... reduction","example":"01","type":"string"},"typeId":{"description":"TypeID is the discount type identifier","example":"001","type":"string"}},"required":["id"],"type":"object"}},"securitySchemes":{"Kong-Api-Key":{"description":"Kong key-auth authentication","in":"header","name":"X-Api-Key","type":"apiKey"}}},"info":{"contact":{"email":"arg_mgb-udp-business-services@mgb.ch","name":"MGB-UDP-Business-Services"},"description":"This API is tailor-made to fit the need of ProductsUp. ProductsUp is an application that helps to fully integrate automatic advertisement on social media.\nOur API returns Discounts enhanced with Product- and BoSS fields. It enables ProductsUp to create images for the advertisements, without pulling from different sources.","title":"ProductsUp-Connect","version":"1.0.0"},"openapi":"3.0.0","paths":{"/migros/marketing/promotions/v1/public/productsup/discounts":{"get":{"description":"This endpoint retrieves discounts with the following filters and adds additional Products and BoSS fields:\n - Only current discounts\n - Must be a national discount\n - Must be of the distribution-channel SMVM\n - Has to be one of the following roles: 2000000001: M: High-Performer,\n   2000000002: M: Wochenangebot Typ I, 2000000003: M: Wochenangebot Typ II\n - Must be of type: 001: SA Sonderangebot, 002: SE Sellout,\n   003: LIQU Liquidationsangebot or 005: GRAB Angebot CHF beim Kauf ab X Stück\n - The reduction type has to be one of the following: 01: Relativer Rabatt or\n   06: Rabattpreis = CHF (We will only map discounts of reduction type 06\n   if it is also a \"Vitamin Franken\" promotion (AdvertisementTypeId \"4\"))\n - Has to be a bundle discount\n - The main product of the discount has to be of the BoSS-World 04: FLEISCH/GEFLUEGEL/FISCH,\n   05: FRUECHTE/GEMUESE, 09: BEAUTY SELFCARE WORLD or 15: HAUSHALT","operationId":"listAllEnhancedDiscounts","responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/EnhancedDiscount"},"type":"array"}}},"description":"List of Enhanced-Discounts"},"500":{"content":{"text/plain":{"schema":{"type":"string"}}},"description":"Something went wrong"}},"summary":"Get all ProductsUp relevant discounts with the enhanced fields","tags":["Enhanced-Discount Data"]}}},"security":[{"Kong-Api-Key":[]}],"servers":[{"description":"URL of upstream","url":"https://api.migros.ch"}],"tags":[{"name":"Enhanced-Discount Data"}],"x-company":"migros","x-edm-domain":"products","x-format-suffix":{"enabled":true,"pattern":"json"},"x-headmatter":{"readable_by":"*"},"x-kong-route-defaults":{"protocols":["https"],"strip_path":false},"x-kong-service-defaults":{"connect_timeout":1000,"read_timeout":120000,"retries":2,"write_timeout":1000},"x-leanix-id":"d8d7d98d-89f2-4b8d-9b1b-a83f49ab07f6","x-link-get-access":"https://forms.office.com/e/zhzbEqAQ26","x-link-get-support":"mailto:9961fcb6.migros.onmicrosoft.com@ch.teams.ms"}
```
